// pages/plan/plan.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    if(!wx.getStorageSync('userInfo')){
      wx.navigateTo({
        url: '/pages/login/login',
      })
    }
    let defaultStore = {}
    if (options.defaultStore) {
      defaultStore = JSON.parse(options.defaultStore)
    }
    if (Object.keys(defaultStore).length == 0) {
      defaultStore = app.globalData.storeData
    }
    this.setData({
      defaultStore: defaultStore
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  toStore() {
    let store = this.data.defaultStore
    let latitude = parseFloat(store.latitude)
    let longitude = parseFloat(store.longitude)
    wx.openLocation({
      latitude: parseFloat(store.latitude), // 纬度，范围为-90~90，负数表示南纬
      longitude: parseFloat(store.longitude), // 经度，范围为-180~180，负数表示西经
      name: store.belong_region
    })
  }
})